### Method

# Foundry Intent has_attribute

since: 1.1

#### Declaration [src]

    gboolean
    foundry_intent_has_attribute (
      FoundryIntent* self,
      const char* attribute
    )

#### Description [src]

Checks if the intent has an attribute with the given name.

Available since: 1.1

#### Parameters

`attribute`

  Type: `const char*`

  The attribute name to check.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the attribute exists, `FALSE` otherwise.